> ## Documentation Index
> Fetch the complete documentation index at: https://adp-doc.laiye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 采购订单

> 使用 ADP 预置应用抽取采购订单字段。

## 概述

采购订单使用文档抽取接口。

```http theme={null}
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract
```

异步任务使用相同的请求体：

```http theme={null}
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/create/task
GET /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/query/task/{task_id}
```

## 请求参数

| 名称                | 类型      | 是否必填 | 描述                                              |
| ----------------- | ------- | ---- | ----------------------------------------------- |
| `tenant_name`     | string  | 是    | 租户名称，默认 `laiye`。                                |
| `app_id`          | string  | 是    | 预置应用的唯一标识，在应用的 **查看 API** 中查看。                  |
| `file_base64`     | string  | 可选   | 待抽取文件的 Base64，与 `file_url` 二选一。                 |
| `file_url`        | string  | 可选   | 待抽取文件 URL，与 `file_base64` 二选一。仅支持 HTTP 开头的线上地址。 |
| `with_rec_result` | boolean | 否    | 是否返回文档解析结果，默认 `false`。                          |

## 采购订单字段

| 中文名     | 英文名                     | 类型    |
| ------- | ----------------------- | ----- |
| 订单编号    | PO Number               | 文本    |
| 订单日期    | Order Date              | 日期    |
| 卖方名称    | Seller Name             | 文本    |
| 买方/客户名称 | Buyer Name              | 文本    |
| 买方/客户地址 | Buyer Address           | 文本    |
| 客户收货地址  | Delivery Address        | 文本    |
| 收货方名称   | Receiver Name           | 文本    |
| 币种      | Currency                | 文本    |
| 总金额     | Total Amount            | 文本    |
| 商品明细表格  | Line Items              | 表格    |
| 物料代码    | Material Code           | 表格子字段 |
| 税率      | Tax Rate                | 表格子字段 |
| 描述      | Description             | 表格子字段 |
| 数量      | Quantity                | 表格子字段 |
| 单价（含税）  | Unit Price (Inc. Tax)   | 表格子字段 |
| 总金额（含税） | Total Amount (Inc. Tax) | 表格子字段 |
| 交货日期    | Delivery Date           | 表格子字段 |
